=== debian/changelog ===
ros-rolling-tf2 (0.21.0-1focal) focal; urgency=high

  * tf2: Enable common linter tests (#469 <https://github.com/ros2/geometry2/issues/469>)
  * Contributors: Abrar Rahman Protyasha

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-tf2 (0.20.0-1focal) focal; urgency=high

  * Move time functions into time.cpp.
  * Change a for loop to a while loop.
  * Switch to C++-style casts.
  * Remove totally unused (and unreachable) code.
  * Replace NULL with nullptr.
  * Fix up some comments.
  * Use std::make_shared where we can.
  * Replace two comparisons with empty string to empty().
  * Make sure to include-what-you-use.
  * Remove unnecessary internal method.
  * Remove long-deprecated walkToTopParent overload.
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-tf2 (0.19.0-1focal) focal; urgency=high

  * Remove unnecessary test dependencies.
  * Remove some references to the ROS 1 wiki.
  * Add rosidl_runtime_cpp as build_depend and build_export_depend.
  * Minor cleanups in CMakeLists.txt.
  * Remove include directory that doesn't exist.
  * Remove completely unnecessary target_link_libraries.
  * Remove unused speed_test from tf2.
  * Suppress clang warnings about enumerator attributes. (#463 <https://github.com/ros2/geometry2/issues/463>)
  * Change TF2Error names to be a bit more descriptive. (#349 <https://github.com/ros2/geometry2/issues/349>)
  * Fixed errors due to missing header link. (#432 <https://github.com/ros2/geometry2/issues/432>)
  * Contributors: Chris Lalancette, Shivam Pandey

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 15 Oct 2021 07:00:00 -0000

ros-rolling-tf2 (0.18.0-1focal) focal; urgency=high

  * Deprecate tf2_geometry_msgs.h (#418 <https://github.com/ros2/geometry2/issues/418>)
  * Speedup covariance unwrapping (#399 <https://github.com/ros2/geometry2/issues/399>)
  * Contributors: Chris Lalancette, Dima Dorezyuk

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 01 Jun 2021 07:00:00 -0000

ros-rolling-tf2 (0.17.1-1focal) focal; urgency=high

  * Change index.ros.org -> docs.ros.org. (#394 <https://github.com/ros2/geometry2/issues/394>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-tf2 (0.17.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 19 Mar 2021 07:00:00 -0000

ros-rolling-tf2 (0.16.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-tf2 (0.15.1-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-tf2 (0.15.0-1focal) focal; urgency=high

  * Update maintainers of the ros2/geometry2 fork. (#328 <https://github.com/ros2/geometry2/issues/328>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 02 Nov 2020 08:00:00 -0000

ros-rolling-tf2 (0.14.1-1focal) focal; urgency=high

  * Active usual compiler warnings in tf2 (#322 <https://github.com/ros2/geometry2/issues/322>)
  * Cleanups in buffer_core.cpp. (#301 <https://github.com/ros2/geometry2/issues/301>)
  * Add PoseWithCovarianceStamped transform support (#312 <https://github.com/ros2/geometry2/issues/312>)
  * Contributors: Chris Lalancette, Ivan Santiago Paunovic, Joshua Whitley

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 21 Sep 2020 07:00:00 -0000

ros-rolling-tf2 (0.14.0-1focal) focal; urgency=high

  * Fix a TOCTTOU race in tf2. (#307 <https://github.com/ros2/geometry2/issues/307>)
  * Fixed memory leak in Buffer::waitForTransform (#281 <https://github.com/ros2/geometry2/issues/281>)
  * Add common linters to tf2. (#258 <https://github.com/ros2/geometry2/issues/258>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Martin Ganeff

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 14 Aug 2020 07:00:00 -0000

ros-rolling-tf2 (0.13.4-1focal) focal; urgency=high

  * Add missing virtual destructors (#272 <https://github.com/ros2/geometry2/issues/272>)
  * Contributors: Ivan Santiago Paunovic

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-rolling-tf2 (0.13.3-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-tf2 (0.13.2-1focal) focal; urgency=high

  * Modify error message to not match the pattern for Jenkins MSBuild errors (#265 <https://github.com/ros2/geometry2/issues/265>)
  * Contributors: Dirk Thomas

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 18 May 2020 07:00:00 -0000

ros-rolling-tf2 (0.13.1-1focal) focal; urgency=high

  * export modern CMake interface target (#263 <https://github.com/ros2/geometry2/issues/263>)
  * Contributors: Dirk Thomas

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-rolling-tf2 (0.13.0-1focal) focal; urgency=high

  * Added doxyfiles and sphinx Makefiles (#257 <https://github.com/ros2/geometry2/issues/257>)
  * Fix displayTimePoint truncation error (#253 <https://github.com/ros2/geometry2/issues/253>)
  * rename rosidl_generator_cpp namespace to rosidl_runtime_cpp (#248 <https://github.com/ros2/geometry2/issues/248>)
  * Use the new rcutils_strerror function. (#239 <https://github.com/ros2/geometry2/issues/239>)
  * Remove unnecessary semicolons. (#235 <https://github.com/ros2/geometry2/issues/235>)
  * Export all tf2 dependencies. (#238 <https://github.com/ros2/geometry2/issues/238>)
  * Fix a deprecated copy warning by implementing the assignment operator (#201 <https://github.com/ros2/geometry2/issues/201>)
  * tf2 add windows cmath constants (#217 <https://github.com/ros2/geometry2/issues/217>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Dirk Thomas, Hunter L. Allen, Michel Hidalgo, brawner


